<app-loading *ngIf="isLoading"></app-loading>

<div class="action-breadcrumb-float-right" *ngIf="typeAction === screenType.update">
  <button nz-button nzSize="large" nzType="primary" (click)="saveSalary()">
    {{ 'development.salary-list.save' | translate }}
  </button>
  <button nz-button nzSize="large" (click)="saveAndSendSalary()">
    {{ 'development.salary-list.sendSalary' | translate }}
  </button>
</div>
<form [formGroup]="form">
  <nz-table
    class="data-table"
    #basicTable
    [nzData]="dataSalary"
    [nzShowPagination]="false"
    [nzPageSize]=""
    [nzScroll]="{ x: '420vw' }"
    nzTableLayout="fixed"
    nzBordered
  >
    <thead>
      <tr>
        <th scope="col" rowspan="3" nzWidth="50px" class="text-center" nzLeft>
          {{ 'development.salary-list.detail.stt' | translate }}
        </th>
        <th scope="col" rowspan="3" nzWidth="130px" nzLeft>
          {{ 'development.salary-list.table.col.proposeCode' | translate }}
        </th>
        <th scope="col" rowspan="3" nzWidth="150px" nzLeft>
          {{ 'development.salary-list.table.col.requestType' | translate }}
        </th>
        <th scope="col" rowspan="3" nzWidth="120px" nzLeft>{{ 'development.salary-list.detail.empCode' | translate }}</th>
        <th scope="col" rowspan="3" nzWidth="160px" nzLeft>{{ 'development.salary-list.detail.empName' | translate }}</th>
        <th scope="col" rowspan="3">{{ 'development.salary-list.table.col.11' | translate }}</th>
        <th scope="col" rowspan="3">{{ 'development.salary-list.table.col.12' | translate }}</th>
        <th scope="col" rowspan="3">{{ 'development.salary-list.table.col.13' | translate }}</th>
        <th scope="col" rowspan="3">{{ 'development.salary-list.table.col.14' | translate }}</th>
        <th scope="col" rowspan="3">{{ 'development.salary-list.table.col.proposeUnit' | translate }}</th>
        <th scope="col" rowspan="3">{{ 'development.salary-list.table.col.proposeTitle' | translate }}</th>
        <th scope="col" rowspan="3">{{ 'development.salary-list.table.col.proposeLocation' | translate }}</th>
        <th scope="col" rowspan="3">{{ 'development.salary-list.table.col.proposeLevel' | translate }}</th>
        <th scope="col" rowspan="3" nzWidth="130px">{{ 'development.salary-list.detail.form' | translate }}</th>
        <th scope="col" rowspan="3">{{ 'development.salary-list.detail.nearestTermRanking' | translate }}</th>
        <th scope="col" rowspan="3" class="monthIncomeExpectedUnit">
          {{ 'development.salary-list.detail.monthIncomeExpectedUnit' | translate }}
        </th>
        <th scope="col" rowspan="3">{{ 'development.salary-list.detail.specialNote' | translate }}</th>
        <th scope="col" colspan="8">{{ 'development.salary-list.detail.currentSalaryInfo' | translate }}</th>
        <th scope="col" colspan="8">{{ 'development.salary-list.detail.proposeSalaryInfo' | translate }}</th>
        <th scope="col" colspan="2" rowspan="2">
          {{ 'development.salary-list.detail.deviantIncome' | translate }}
        </th>
        <th scope="col" rowspan="3">{{ 'development.salary-list.detail.minNSLD' | translate }}</th>
        <th scope="col" rowspan="3">{{ 'development.salary-list.detail.basePropose' | translate }}</th>
        <th scope="col" colspan="9">
          {{ 'development.salary-list.detail.nonWageMode' | translate }}
        </th>
        <th scope="col" rowspan="3" class="action" *ngIf="typeAction === screenType.update"></th>
      </tr>
      <tr>
        <th scope="col" colspan="4">{{ 'development.salary-list.detail.basicSalary' | translate }}</th>
        <th scope="col" colspan="3">{{ 'development.salary-list.detail.efficiencyBonus' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.monthIncome' | translate }}</th>
        <th scope="col" colspan="4">{{ 'development.salary-list.detail.basicSalary' | translate }}</th>
        <th scope="col" colspan="3">{{ 'development.salary-list.detail.efficiencyBonus' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.monthIncome' | translate }}</th>

        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.travel' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.car' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.rentHouse' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.insurance' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.mode1' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.mode2' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.mode3' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.mode4' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.mode5' | translate }}</th>
      </tr>
      <tr>
        <th nzWidth="150px" scope="col">{{ 'development.salary-list.detail.range' | translate }}</th>
        <th nzWidth="100px" scope="col">{{ 'development.salary-list.detail.rank' | translate }}</th>
        <th nzWidth="100px" scope="col">{{ 'development.salary-list.detail.level' | translate }}</th>
        <th nzWidth="100px" scope="col">{{ 'development.salary-list.detail.benefitRate' | translate }}</th>
        <th nzWidth="100px" scope="col">{{ 'development.salary-list.detail.coefficientLCB' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.level' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.benefitRate' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.range' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.rank' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.level' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.benefitRate%' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.coefficientLCB' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.level' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.benefitRate%' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.rate%' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.level' | translate }}</th>
      </tr>
    </thead>

    <tbody formArrayName="editSalary">
      <tr tr *ngFor="let item of dataSalary; let i = index">
        <ng-container [formGroupName]="i">
          <td class="stt text-center" nzLeft>{{ i + 1 }}</td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.sendDateSalary" nzLeft>
            {{ item?.proposeCode || '----' }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.requestType" nzLeft>
            {{ item?.requestType || '----' }}
          </td>
          <td nzLeft>{{ item?.employeeCode }}</td>
          <td nzLeft>{{ item?.employeeName }}</td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.employeeUnitName">
            {{ item?.employeeUnitName }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.employeeTitleName">
            {{ item?.employeeTitleName }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.employeePosition">
            {{ item?.employeePosition }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.employeeLevelTitleCode">
            {{ item?.employeeLevelTitleCode }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.contentUnitName">{{ item?.contentUnitName }}</td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.contentTitleName">
            {{ item?.contentTitleName }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.contentPositionName">
            {{ item?.contentPositionName }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.contentTargetLevelTitleCode">
            {{ item?.contentTargetLevelTitleCode }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.formRotationType">
            {{ item?.formRotationType }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.semesterRankT2">{{ item?.semesterRankT2 }}</td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.desiredMonthlyIncome">
            {{ item?.desiredMonthlyIncome | number:'1.0-2' }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.note">{{ item?.note }}</td>
          <!-- lương hiện tại -->
          <!-- dải -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.inputRequired' | translate }}">
                <input nz-input placeHolder="---" maxlength="20" formControlName="currentBasicRange" />
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- bậc -->
          <td>
            <nz-form-item>
              <nz-form-control>
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  formControlName="currentBasicRank"
                ></nz-input-number>
<!--                   (keyup)="updateItem(i, 'currentBasicRank')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- mức lương cơ bản -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  formControlName="currentBasicLevel"
                ></nz-input-number>
<!--                  (keyup)="updateItem(i, 'currentBasicLevel')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Tỷ lệ hưởng lương cơ bản (%) -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  [nzMax]="100"
                  formControlName="currentBasicBenefitRate"
                ></nz-input-number>
<!--                  (keyup)="updateItem(i, 'currentBasicBenefitRate')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Hệ số LCB -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  formControlName="currentBasicBenefitIncentiveCoefficient"
                ></nz-input-number>
<!--                 (keyup)="updateItem(i, 'currentBasicBenefitIncentiveCoefficient')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- mức thưởng hiệu suất -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  formControlName="currentBasicBenefitIncentiveLevel"
                ></nz-input-number>
<!--                   (keyup)="updateItem(i, 'currentBasicBenefitIncentiveLevel')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Tỷ lệ hưởng thưởng hiệu suất (%) -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  [nzMax]="100"
                  formControlName="currentBasicBenefitIncentiveRate"
                ></nz-input-number>
<!--                 (keyup)="updateItem(i, 'currentBasicBenefitIncentiveRate')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- thu nhập tháng hiện tại -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  formControlName="currentMonthSalary"
                ></nz-input-number>
<!--                  (keyup)="updateItem(i, 'currentMonthSalary')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Dải -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.inputRequired' | translate }}">
                <input nz-input PlaceHolder="---" maxlength="20" formControlName="proposeBasicRange" />
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Bậc -->
          <td>
            <nz-form-item nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
              <nz-input-number
                nz-input
                nzPlaceHolder="---"
                [nzMin]="0"
                formControlName="proposeBasicRank"
              ></nz-input-number>
            </nz-form-item>
          </td>
          <!-- Mức -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="Mức"
                  [nzMin]="0"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  formControlName="proposeBasicLevel"
                ></nz-input-number>
<!--                 (keyup)="updateItem(i, 'proposeBasicLevel')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Tỷ lệ hưởng Lương cơ bản (%) -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  [nzMax]="100"
                  formControlName="proposeBasicBenefitRate"
                ></nz-input-number>
<!--                (keyup)="updateItem(i, 'proposeBasicBenefitRate')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Tỷ lệ theo LCB (%) -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  formControlName="proposeBasicIncentiveCoefficient"
                ></nz-input-number>
<!--                  (keyup)="updateItem(i, 'proposeBasicIncentiveCoefficient')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Mức Thưởng hiệu suất -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  formControlName="proposeBasicIncentiveLevel"
                ></nz-input-number>
<!--                 (keyup)="updateItem(i, 'proposeBasicIncentiveLevel')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Tỷ lệ hưởng Thưởng hiệu suất (%) -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  [nzMax]="100"
                  formControlName="proposeBasicIncentiveRate"
                ></nz-input-number>
<!--                 (keyup)="updateItem(i, 'proposeBasicIncentiveRate')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Thu nhập tháng -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  formControlName="proposeMonthSalary"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                ></nz-input-number>

                <!--                 (keyup)="updateItem(i, 'proposeMonthSalary')"-->
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Tỷ lệ (%) -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  formControlName="differentRate"
                ></nz-input-number>
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Mức Chênh lệch thu nhập mới/cũ -->
          <td>
            <nz-form-item nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
              <nz-form-control>
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  [nzMin]="0"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  formControlName="differentLevel"
                ></nz-input-number>
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Mức lương min NSLD -->
          <td>
            <nz-form-item nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
              <nz-form-control>
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  formControlName="minPerformanceSalary"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  [nzMin]="0"
                ></nz-input-number>
              </nz-form-control>
            </nz-form-item>
          </td>
          <!-- Cơ sở đề xuất -->
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.inputRequired' | translate }}">
                <textarea
                  nz-input
                  placeHolder="---"
                  maxlength="200"
                  formControlName="salaryBaseComment"
                  row="1"
                ></textarea>
              </nz-form-control>
            </nz-form-item>
          </td>
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  formControlName="bonusTravel"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  [nzMin]="0"
                ></nz-input-number>
              </nz-form-control>
            </nz-form-item>
          </td>
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  formControlName="bonusTransport"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  [nzMin]="0"
                ></nz-input-number>
              </nz-form-control>
            </nz-form-item>
          </td>
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  formControlName="bonusHouseRent"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  [nzMin]="0"
                ></nz-input-number>
              </nz-form-control>
            </nz-form-item>
          </td>
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  formControlName="bonusLifeAssurance"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  [nzMin]="0"
                ></nz-input-number>
              </nz-form-control>
            </nz-form-item>
          </td>
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  formControlName="bonus1"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  [nzMin]="0"
                ></nz-input-number>
              </nz-form-control>
            </nz-form-item>
          </td>
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  formControlName="bonus2"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  [nzMin]="0"
                ></nz-input-number>
              </nz-form-control>
            </nz-form-item>
          </td>
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  formControlName="bonus3"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  [nzMin]="0"
                ></nz-input-number>
              </nz-form-control>
            </nz-form-item>
          </td>
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  formControlName="bonus4"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  [nzMin]="0"
                ></nz-input-number>
              </nz-form-control>
            </nz-form-item>
          </td>
          <td>
            <nz-form-item>
              <nz-form-control nzErrorTip="{{ 'development.salary-list.messages.greaterThan0' | translate }}">
                <nz-input-number
                  nz-input
                  nzPlaceHolder="---"
                  formControlName="bonus5"
                  [nzFormatter]="formatterCurrency"
                  [nzParser]="parserCurrency"
                  [nzMin]="0"
                ></nz-input-number>
              </nz-form-control>
            </nz-form-item>
          </td>
          <td class="text-ellipsis" *ngIf="typeAction === screenType.update">
            <span class="action-plan" *ngIf="item.id" (click)="addPlanSalary(item, i)">
              {{ 'development.salary-list.detail.addPlan' | translate }}
            </span>
            <span class="action-plan action-plan-remove" *ngIf="!item.id" (click)="removePlanSalary(i)">
              {{ 'development.salary-list.detail.removePlan' | translate }}
            </span>
          </td>
        </ng-container>
      </tr>
    </tbody>
  </nz-table>
</form>
